/*
 * CFile1.c
 *
 * Created: 10.01.2014 21:24:34
 *  Author: Roland
 */ 

#include <avr/io.h>
#include "usi.h"


void Usi_Init(uint8_t umode)
{
	if(umode==CLK_RISING) USICR=0x08;
		else USICR=0x0c;
	USISR=0xe0;
	return;
}


uint8_t Usi_CheckC()
{
	uint8_t st;
	st=USISR&(1<<USIOIF);
	if(st)
	{
		 	//USISR|=1<<USIOIF; // Clear Counter Overflow Flag
			asm volatile ("sbi 14,6");
	}
	return st ? 1 :0;	
}

uint8_t Usi_CheckStart()
{
	return (USISR&(1<<USISIF)) ? 1 :0;
	
}

void Usi_Reset()
{
	USISR=0xe0;
}

uint8_t Usi_GetC()
{
	return USIBR;
}
